# siddec

This element decodes .sid files to raw audio. .sid files are in fact small Commodore 64 programs that are executed on an emulated 6502 CPU and a MOS 6581 sound chip.

This plugin will first load the complete program into memory before starting the emulator and producing output.

Seeking is not (and cannot be) implemented.

## Example pipelines

     gst-launch-1.0 -v filesrc location=Hawkeye.sid ! siddec ! audioconvert ! audioresample ! autoaudiosink

Decode a sid file and play it back.

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──siddec

## Factory details

Authors: – Wim Taymans

Classification: – `Codec/Decoder/Audio`

Rank – primary

Plugin – sid

Package – GStreamer Ugly Plug-ins

## Pad Templates

### `sink`

    audio/x-sid:

Presence – always

Direction – sink

Object type – GstPad

### `src`

    audio/x-raw:
             format: { S16LE, U16LE, S8, U8 }
             layout: interleaved
               rate: [ 8000, 48000 ]
           channels: [ 1, 2 ]

Presence – always

Direction – src

Object type – GstPad

## Properties

### blocksize

    “blocksize” guint

Size in bytes to output per buffer

Flags : Read / Write

Default value : 4096

### clock

    “clock” GstSidClock *

clock

Flags : Read / Write

Default value : pal (1)

### filter

    “filter” gboolean

filter

Flags : Read / Write

Default value : true

### force-speed

    “force-speed” gboolean

force_speed

Flags : Read / Write

Default value : false

### measured-volume

    “measured-volume” gboolean

measured_volume

Flags : Read / Write

Default value : true

### memory

    “memory” GstSidMemory *

memory

Flags : Read / Write

Default value : bank-switching (32)

### metadata

    “metadata” GstCaps *

Metadata

Flags : Read

### mos8580

    “mos8580” gboolean

mos8580

Flags : Read / Write

Default value : false

### tune

    “tune” gint

tune

Flags : Read / Write

Default value : 0

## Named constants

### GstSidClock

#### Members

`pal` (1) – PAL
`ntsc` (2) – NTSC

### GstSidMemory

#### Members

`bank-switching` (32) – Bank Switching
`transparent-rom` (33) – Transparent ROM
`playsid-environment` (34) – Playsid Environment

The results of the search are